Error en la instalación de joomla en wampserver [SOLUCIONADO]

Cuando se realiza la instalación de Joomla 1.5.22 en WampServer 2.1c-x32 se produce el siguiente error:

  1. You have an error in your SQL syntax; check the manual that corresponds to
  2. your MySQL server version for the right syntax to use near 'TYPE=MyISAM
  3. CHARACTER SET `utf8`' at line 29 SQL=CREATE TABLE `jos_banner` ( `bid`
  4. int(11) NOT NULL auto_increment, `cid` int(11) NOT NULL default '0', `type`
  5. varchar(30) NOT NULL default 'banner', `name` varchar(255) NOT NULL default
  6. '', `alias` varchar(255) NOT NULL default '', `imptotal` int(11) NOT NULL
  7. default '0', `impmade` int(11) NOT NULL default '0', `clicks` int(11) NOT
  8. NULL default '0', `imageurl` varchar(100) NOT NULL default '', `clickurl`
  9. varchar(200) NOT NULL default '', `date` datetime default NULL,
  10. `showBanner` tinyint(1) NOT NULL default '0', `checked_out` tinyint(1) NOT
  11. NULL default '0', `checked_out_time` datetime NOT NULL default '0000-00-00
  12. 00:00:00', `editor` varchar(50) default NULL, `custombannercode` text,
  13. `catid` INTEGER UNSIGNED NOT NULL DEFAULT 0, `description` TEXT NOT NULL
  14. DEFAULT '', `sticky` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0, `ordering`
  15. INTEGER NOT NULL DEFAULT 0, `publish_up` datetime NOT NULL default
  16. '0000-00-00 00:00:00', `publish_down` datetime NOT NULL default '0000-00-00
  17. 00:00:00', `tags` TEXT NOT NULL DEFAULT '', `params` TEXT NOT NULL DEFAULT
  18. '', PRIMARY KEY (`bid`), KEY `viewbanner` (`showBanner`), INDEX
  19. `idx_banner_catid`(`catid`) ) CHARACTER SET `utf8`

Como podemos ver el problema esta en el motor de las tablas de la definición de la base de datos de joomla, para solucionarlo solo tendremos que modificar el archivo "joomla.sql" situado en la carpeta 'installation/sql/mysql' de nuestro sitio joomla, sustituyendo "TYPE=MyISAM" por "ENGINE=MyISAM".

Este fallo es debido a que el servidor MySql que incluye WampServer no soporta 'Type' para la definición de las tablas, teniendo que utilizar 'Engine'. Opcionalmente también se puede utilizar versiones anteriores de WampServer, dado que tienen servidores MySql compatibles con Joomla.

Comentarios

Pregunta

Buenos dias disculpa pero ya realise eso que mencionas y no sigue marcando lo mismo lo tengo en localhost mi version de mysql es la 5.5.8 y tambien descargue la 5.1.41 para ver si con esa y nada quisiera ver si me puedes ayudar gracias

Hola Efrain, el problema

Hola Efrain, el problema viene cuando utilizas MySql 5.3.x o superiores, con anteriores no tendría que dar problemas, puede que al instalar la versión 5.1.41 siguiera ejecutandose la anterior, prueba a terminar el proceso "mysqld.exe" en el administrador de tareas de windows y a lanzar el mysql 5.1.41.

Si sigue sin funcionar puedes probar con otro servidor local, te recomiendo Xampp (http://www.apachefriends.org/en/xampp-windows.html)

Un saludo y suerte!

problema solucionado

yo cambie los archivos y me esta funcionando perfectamente gracias amigo por la publicacion

es correcto la misma solucion

es correcto la misma solucion en video.

solucionado

He solucionado el problema gracias al video-tutorial del compañero anónimo!

Muchas gracias por tu ayuda!

WAMPSERVER 2.1 JOOMLA 1.5.23

GRACIAS !!! con este tutorial resolví la instalación de joomla en forma local.

Resuelto problema instalación

Perfecto! Hice lo que indicas de sustituir TYPE=MyISAM por ENGINE=MyISAM y funcionó. Gracias por el aporte, la solución y su explicación! ;D

error de sintaxis

La version que tengo de MYSQL es 5.5.8 y me da este error en el navegador, usted tiene un error en la sintaxis SQL, consulte el manual que corresponde a su versión del servidor MySQL para la sintaxis correcta a usar cerca '4, Curso 4) 'en la línea 4 no comprendo eso cerca '4, Curso 4) 'en la línea 4. Me pueden ayudar, gracias

error de sintaxis

el error te está indicando el punto aproximado donde se encuentra el fallo (sintaxis y línea). Para poder afinar más con la respuesta deberías escribir la sentencia que provocó el error.

Un saludo

Joomla 1.7 no puedo subir fotos con las extensiones .gif .png

hola acabo de instalar el joomla 1.7 y todo bien solo que al intentar subir fotos con la extension .gif o .png no solo que no lo sube, pero me da un error en el servidor que apache encontro un problema y debe cerrarse ,Que es grave por la razon que se reinicia el servicio de apache y deja el server fuera de linea. En caso que no sabe nadie lo que pasa pido que me ayude a eliminar la extension de .gif o .png de los archivos soportados o por lo menos que ponga al intentar subir "archivo no soportados"

gracias

Muchas gracias augustorivas88 si no es por tu comentario de dejar de hacerlo con NOtepad nunca hubiera solucionado el problema, gracias por el video, excelente! Gracias por la ayuda a todos. Aunque yo no abrí el tema, me sirvió de mucho.

Muchas gracias. Me ha servido

Muchas gracias. Me ha servido de mucho y me ha solucionado el problema

SOLUCIONADO

Gracias por el tip, tuve que volver a instalar de nuevo todo pero me salia este error. Gracias me sirvio de mucho.

Gracias ^^

Muchas gracias funciono a la perfección, se agradece mucho. Buen aporte. Bendiciones broo

Funcionó perfecto, muchas

Funcionó perfecto, muchas gracias :)

:D

si me funciono! :D muchas gracias

Repuesta

FUNCIONO Problema Solucionado... Muchas Gracias

muchas gracias funciono

muchas gracias funciono perfecto

Felicitaciones y gracias

No sabía que hacer cuando se me presentó este error y me ayudaron a solucionarlo, muchas gracias

error sintaxis

hola que tal como va quiero comprar un producto por internet y cuando voy a pagar me aperece esto 1064 Usted tiene un error en su sintaxis SQL, consulte el manual que corresponde a su versión del servidor MySQL para la sintaxis correcta a usar cerca '5 "", delivery_suburb = "", delivery_city = "Buenos Aires", "en la línea 3 que puedo hacer para que me desaperezca esto yme deje comprar desde ya gracias saludos fabrizio

Gracias

Me funciono perfectamente esta solución. Gracias

Funciona

Me funcionó, pero tuve que hacer una sustitución de todos los TYPE por ENGINE (replace all), porque si modificaba una única línea me seguía mostrando un mensaje de error, aunque considerablemente menor (en número de líneas). Espero que a alguien más le sirva.

Enviar un comentario nuevo

El contenido de este campo se mantiene privado y no se mostrará públicamente.
  • Las direcciones de las páginas web y las de correo se convierten en enlaces automáticamente.
  • Etiquetas HTML permitidas: <a> <em> <strong> <cite> <code> <ul> <ol> <li> <dl> <dt> <dd>
  • Saltos automáticos de líneas y de párrafos.
  • You can enable syntax highlighting of source code with the following tags: <code>, <blockcode>, <pre>, <c>, <cpp>, <csharp>, <css>, <drupal5>, <drupal6>, <html>, <java>, <javascript>, <jquery>, <mysql>, <php>, <python>, <robots>, <ruby>, <sql>, <tsql>, <vb>, <vbnet>, <xml>. The supported tag styles are: <foo>, [foo]. PHP source code can also be enclosed in <?php ... ?> or <% ... %>.

Más información sobre opciones de formato

CAPTCHA
Esta pregunta se hace para comprobar que es usted una persona real e impedir el envío automatizado de mensajes basura.
CAPTCHA de imagen
Escriba los caracteres que se muestran en la imagen.